Loading...
Searching...
No Matches
gx_gui::CpBaseCaptionBoxed Class Reference

`#include <gx_main_interface.h>`

Inheritance diagram for gx_gui::CpBaseCaptionBoxed:

## Public Member Functions

| CpBaseCaptionBoxed ()
| ~CpBaseCaptionBoxed ()
void | init (Gxw::Regler &regler, bool show_value)
void | set_rack_label (const char *label)
void | set_rack_label_inverse (const char *label)

## Protected Attributes

CpBase | base
Gtk::HBox | h_box
Gtk::Label | m_label

## Detailed Description

Definition at line 101 of file gx_main_interface.h.

## Constructor & Destructor Documentation

## CpBaseCaptionBoxed()

gx_gui::CpBaseCaptionBoxed::CpBaseCaptionBoxed | ( |  | ) |

Referenced by gx_gui::UiDisplayWithCaption< T >::UiDisplayWithCaption().

## ~CpBaseCaptionBoxed()

gx_gui::CpBaseCaptionBoxed::~CpBaseCaptionBoxed | ( |  | ) |

## Member Function Documentation

## init()

void gx_gui::CpBaseCaptionBoxed::init | ( | Gxw::Regler & | regler,
|  | bool | show_value )

Referenced by gx_gui::UiDisplayWithCaption< T >::UiDisplayWithCaption().

## set_rack_label()

void gx_gui::CpBaseCaptionBoxed::set_rack_label | ( | const char * | label | ) |

## set_rack_label_inverse()

void gx_gui::CpBaseCaptionBoxed::set_rack_label_inverse | ( | const char * | label | ) |

## Member Data Documentation

## base

CpBase gx_gui::CpBaseCaptionBoxed::base

protected

Definition at line 103 of file gx_main_interface.h.

## h_box

Gtk::HBox gx_gui::CpBaseCaptionBoxed::h_box

protected

Definition at line 104 of file gx_main_interface.h.

## m_label

Gtk::Label gx_gui::CpBaseCaptionBoxed::m_label

protected

Definition at line 105 of file gx_main_interface.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_interface.h